splogger(8)

NAME
splogger - make entries in syslog

SYNOPSIS
splogger [ tag [ fac ] ]

DESCRIPTION
splogger reads a series of messages and feeds them to syslog. At the front of each message it puts tag (default: splogger) and a numerical timestamp.

splogger checks for alert: or warning: at the beginning of each message. It selects a priority of LOG_ALERT, LOG_WARNING, or LOG_INFO accordingly.

splogger logs messages with facility fac. fac (default: 2) must be numeric.

splogger converts unprintable characters to question marks.

splogger does not log blank lines.

splogger folds messages after 800 characters, since syslog can't handle long messages. splogger uses a + after the timestamp to mark folded lines.

Note that the syslog mechanism is inherently unreliable: it does not guarantee that messages will be logged. It is also very slow.

SEE ALSO
syslog(3), logger(8)